BDU:2018-00072: Уязвимость функции parse_hid_report_descriptor (drivers/input/tablet/gtco.c) ядра операционной системы Linux, позволяющая нарушителю вызвать отказ в обслуживании или оказать другое воздействие

Описание уязвимости Уязвимость функции parse_hid_report_descriptor (drivers/input/tablet/gtco.c) ядра операционной системы Linux вызвана выходом операции чтения за границы буфера в памяти. Эксплуатация уязвимости может позволить нарушителю, действующему локально, вызвать отказ в обслуживании или оказать другое воздействие (чтение за границами памяти) при помощи специально подготовленного USB-устройства
Вендор Сообщество свободного программного обеспечения
Наименование ПО Linux
Версия ПО
  • до 4.13.11 включительно
Тип ПО Операционная система
Операционные системы и аппаратные платформы
  • Сообщество свободного программного обеспечения Linux до 4.13.11 включительно
Тип ошибки Чтение за границами буфера
Идентификатор типа ошибки
Класс уязвимости Уязвимость кода
Дата выявления 08.08.2017
Базовый вектор уязвимости
Уровень опасности уязвимости Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 7,2)
Средний уровень опасности (базовая оценка CVSS 3.0 составляет 6,6)
Возможные меры по устранению уязвимости
Использование рекомендаций:
http://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.13.11
Статус уязвимости Подтверждена производителем
Наличие эксплойта Данные уточняются
Способ эксплуатации
  • Манипулирование структурами данных
Способ устранения Обновление программного обеспечения
Информация об устранении Уязвимость устранена
Ссылки на источники
Идентификаторы других систем описаний уязвимостей
Прочая информация -
Последние изменения